### Virtual Method

# Gtk TreeSortable set_sort_func

#### Declaration [src]

    void
    set_sort_func (
      GtkTreeSortable* sortable,
      int sort_column_id,
      GtkTreeIterCompareFunc sort_func,
      gpointer user_data,
      GDestroyNotify destroy
    )

#### Description [src]

Sets the comparison function used when sorting to be `sort_func`. If the current sort column id of `sortable` is the same as `sort_column_id`, then the model will sort using this function.

#### Parameters

`sort_column_id` | `int`
| The sort column id to set the function for.
`sort_func` | `GtkTreeIterCompareFunc`
| The comparison function.
`user_data` | `gpointer`
| User data to pass to `sort_func`.
`destroy` | `GDestroyNotify`
| Destroy notifier of `user_data`.